// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "visualnovel/scene/SimpleVNScene.hpp"

namespace Dawn {
  class Scene_18 : public SimpleVNScene {
    protected:
      void vnStage() override {
        
      }

      void onSceneEnded() {
      }

    public:
      Scene_18(DawnGame *game) : SimpleVNScene(game) {
      }

      std::vector<Asset*> getRequiredAssets() override {
        std::vector<Asset*> assets = SimpleVNScene::getRequiredAssets();
        return assets;
      }

      IVisualNovelEvent * getVNEvent() override {
        auto start = new VisualNovelPauseEvent(vnManager, 0.1f);
        start
          ->then(new VisualNovelTextboxEvent(vnManager, "scene.18.1"))
          ->then(new VisualNovelCallbackEvent<Scene_18>(vnManager, this, &Scene_18::onSceneEnded))
        ;
        return start;
      }
  };
}